FileSystemConfigurations (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.fs.azurebfs.constants, class: FileSystemConfigurations

Package org.apache.hadoop.fs.azurebfs.constants

# Class FileSystemConfigurations

java.lang.Object
org.apache.hadoop.fs.azurebfs.constants.FileSystemConfigurations

@Public @Evolving public final class FileSystemConfigurations extends Object
Responsible to keep all the Azure Blob File System related configurations.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `APPENDBLOB_MAX_WRITE_BUFFER_SIZE`
  `static final String`
  `AZURE_BLOCK_LOCATION_HOST_DEFAULT`
  `static final String`
  `BLOCK_ID_FORMAT`
  Format string for generating block IDs.
  `static final int`
  `BLOCK_ID_LENGTH`
  Length of the block ID used for appends.
  `static final int`
  `BLOCK_UPLOAD_ACTIVE_BLOCKS_DEFAULT`
  Limit of queued block upload operations before writes block for an OutputStream.
  `static final long`
  `BYTES_PER_GIGABYTE`
  Number of bytes in a gigabyte.
  `static final String`
  `DATA_BLOCKS_BUFFER_DEFAULT`
  Default buffer option: "bytebuffer".
  `static final String`
  `DATA_BLOCKS_BUFFER_DISK`
  Buffer blocks to disk.
  `static final String`
  `DATA_BLOCKS_BYTEBUFFER`
  `static final boolean`
  `DEFAULT_ABFS_LATENCY_TRACK`
  `static final int`
  `DEFAULT_ACCOUNT_OPERATION_IDLE_TIMEOUT_MS`
  `static final boolean`
  `DEFAULT_ALWAYS_READ_BUFFER_SIZE`
  `static final int`
  `DEFAULT_ANALYSIS_PERIOD_MS`
  `static final int`
  `DEFAULT_APACHE_HTTP_CLIENT_CACHE_REFRESH_COUNT`
  `static final int`
  `DEFAULT_APACHE_HTTP_CLIENT_CACHE_WARMUP_COUNT`
  `static final int`
  `DEFAULT_APACHE_HTTP_CLIENT_MAX_CACHE_SIZE`
  `static final int`
  `DEFAULT_APACHE_HTTP_CLIENT_MAX_IO_EXCEPTION_RETRIES`
  `static final long`
  `DEFAULT_APACHE_HTTP_CLIENT_MAX_REFRESH_WAIT_TIME_MILLIS`
  `static final int`
  `DEFAULT_APACHE_HTTP_CLIENT_MIN_TRIGGER_REFRESH_COUNT`
  `static final long`
  `DEFAULT_APACHE_HTTP_CLIENT_WARMUP_CACHE_TIMEOUT_MILLIS`
  `static final long`
  `DEFAULT_AZURE_BLOB_ATOMIC_RENAME_LEASE_REFRESH_DURATION`
  `static final long`
  `DEFAULT_AZURE_BLOB_COPY_MAX_WAIT_MILLIS`
  `static final long`
  `DEFAULT_AZURE_BLOB_COPY_PROGRESS_WAIT_MILLIS`
  `static final boolean`
  `DEFAULT_AZURE_CREATE_REMOTE_FILESYSTEM_DURING_INITIALIZATION`
  `static final boolean`
  `DEFAULT_AZURE_ENABLE_SMALL_WRITE_OPTIMIZATION`
  `static final int`
  `DEFAULT_AZURE_LIST_MAX_RESULTS`
  `static final int`
  `DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_DELTA_BACKOFF`
  `static final int`
  `DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_MAX_ATTEMPTS`
  `static final int`
  `DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_MAX_BACKOFF_INTERVAL`
  `static final int`
  `DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_MIN_BACKOFF_INTERVAL`
  `static final String`
  `DEFAULT_AZURE_READ_POLICY`
  `static final boolean`
  `DEFAULT_AZURE_SKIP_USER_GROUP_METADATA_DURING_INITIALIZATION`
  `static final int`
  `DEFAULT_BACKOFF_INTERVAL`
  `static final boolean`
  `DEFAULT_BUFFERED_PREAD_DISABLE`
  `static final int`
  `DEFAULT_CLOCK_SKEW_WITH_SERVER_IN_MS`
  `static final int`
  `DEFAULT_CUSTOM_TOKEN_FETCH_RETRY_COUNT`
  `static final boolean`
  `DEFAULT_DELETE_CONSIDERED_IDEMPOTENT`
  `static final boolean`
  `DEFAULT_DISABLE_OUTPUTSTREAM_FLUSH`
  `static final boolean`
  `DEFAULT_ENABLE_ABFS_CHECKSUM_VALIDATION`
  `static final boolean`
  `DEFAULT_ENABLE_ABFS_LIST_ITERATOR`
  `static final boolean`
  `DEFAULT_ENABLE_ABFS_RENAME_RESILIENCE`
  `static final boolean`
  `DEFAULT_ENABLE_AUTOTHROTTLING`
  `static final boolean`
  `DEFAULT_ENABLE_CHECK_ACCESS`
  `static final boolean`
  `DEFAULT_ENABLE_DELEGATION_TOKEN`
  `static final boolean`
  `DEFAULT_ENABLE_FLUSH`
  `static final boolean`
  `DEFAULT_ENABLE_FULL_BLOB_ABFS_CHECKSUM_VALIDATION`
  `static final boolean`
  `DEFAULT_ENABLE_HTTPS`
  `static final boolean`
  `DEFAULT_ENABLE_PAGINATED_DELETE`
  `static final boolean`
  `DEFAULT_ENABLE_READAHEAD`
  `static final boolean`
  `DEFAULT_ENABLE_READAHEAD_V2`
  `static final boolean`
  `DEFAULT_ENABLE_READAHEAD_V2_DYNAMIC_SCALING`
  `static final int`
  `DEFAULT_EXPECT_100CONTINUE_WAIT_TIMEOUT`
  Default value of connection request timeout to be used when 100continue is enabled.
  `static final int`
  `DEFAULT_FOOTER_READ_BUFFER_SIZE`
  `static final boolean`
  `DEFAULT_FS_AZURE_ACCOUNT_IS_EXPECT_HEADER_ENABLED`
  `static final String`
  `DEFAULT_FS_AZURE_ACCOUNT_IS_HNS_ENABLED`
  `static final boolean`
  `DEFAULT_FS_AZURE_ACCOUNT_LEVEL_THROTTLING_ENABLED`
  `static final String`
  `DEFAULT_FS_AZURE_APPEND_BLOB_DIRECTORIES`
  `static final String`
  `DEFAULT_FS_AZURE_ATOMIC_RENAME_DIRECTORIES`
  `static final int`
  `DEFAULT_FS_AZURE_BLOB_DELETE_THREAD`
  `static final int`
  `DEFAULT_FS_AZURE_BLOB_RENAME_THREAD`
  `static final int`
  `DEFAULT_FS_AZURE_CONSUMER_MAX_LAG`
  `static final boolean`
  `DEFAULT_FS_AZURE_ENABLE_CLIENT_TRANSACTION_ID`
  `static final boolean`
  `DEFAULT_FS_AZURE_ENABLE_CONDITIONAL_CREATE_OVERWRITE`
  `static final boolean`
  `DEFAULT_FS_AZURE_ENABLE_CREATE_BLOB_IDEMPOTENCY`
  `static final boolean`
  `DEFAULT_FS_AZURE_ENABLE_DFSTOBLOB_FALLBACK`
  `static final boolean`
  `DEFAULT_FS_AZURE_ENABLE_MKDIR_OVERWRITE`
  `static final boolean`
  `DEFAULT_FS_AZURE_ENABLE_PREFETCH_REQUEST_PRIORITY`
  `static final boolean`
  `DEFAULT_FS_AZURE_ENABLE_TAIL_LATENCY_REQUEST_TIMEOUT`
  `static final boolean`
  `DEFAULT_FS_AZURE_ENABLE_TAIL_LATENCY_TRACKER`
  `static final String`
  `DEFAULT_FS_AZURE_INFINITE_LEASE_DIRECTORIES`
  `static final int`
  `DEFAULT_FS_AZURE_LISTING_ACTION_THREADS`
  `static final int`
  `DEFAULT_FS_AZURE_LOWEST_REQUEST_PRIORITY_VALUE`
  `static final int`
  `DEFAULT_FS_AZURE_PRODUCER_QUEUE_MAX_SIZE`
  `static final DelegatingSSLSocketFactory.SSLChannelMode`
  `DEFAULT_FS_AZURE_SSL_CHANNEL_MODE`
  `static final int`
  `DEFAULT_FS_AZURE_STANDARD_REQUEST_PRIORITY_VALUE`
  `static final int`
  `DEFAULT_FS_AZURE_TAIL_LATENCY_ANALYSIS_WINDOW_GRANULARITY`
  `static final int`
  `DEFAULT_FS_AZURE_TAIL_LATENCY_ANALYSIS_WINDOW_MILLIS`
  `static final int`
  `DEFAULT_FS_AZURE_TAIL_LATENCY_MAX_RETRY_COUNT`
  `static final int`
  `DEFAULT_FS_AZURE_TAIL_LATENCY_MIN_DEVIATION`
  `static final int`
  `DEFAULT_FS_AZURE_TAIL_LATENCY_MIN_SAMPLE_SIZE`
  `static final int`
  `DEFAULT_FS_AZURE_TAIL_LATENCY_PERCENTILE`
  `static final int`
  `DEFAULT_FS_AZURE_TAIL_LATENCY_PERCENTILE_COMPUTATION_INTERVAL_MILLIS`
  `static final String`
  `DEFAULT_FS_AZURE_USER_AGENT_PREFIX`
  `static final int`
  `DEFAULT_HTTP_CONNECTION_TIMEOUT`
  Default value of connection timeout to be used while setting up HTTP Connection.
  `static final int`
  `DEFAULT_HTTP_READ_TIMEOUT`
  Default value of read timeout to be used while setting up HTTP Connection.
  `static final int`
  `DEFAULT_LEASE_DURATION`
  `static final int`
  `DEFAULT_LEASE_THREADS`
  `static final int`
  `DEFAULT_MAX_BACKOFF_INTERVAL`
  `static final int`
  `DEFAULT_MAX_RETRY_ATTEMPTS`
  `static final int`
  `DEFAULT_METRIC_ANALYSIS_TIMEOUT_MS`
  `static final int`
  `DEFAULT_METRIC_IDLE_TIMEOUT_MS`
  `static final boolean`
  `DEFAULT_METRICS_BACKOFF_RETRY_ENABLED`
  `static final boolean`
  `DEFAULT_METRICS_COLLECTION_ENABLED`
  `static final long`
  `DEFAULT_METRICS_EMIT_INTERVAL_MINS`
  `static final long`
  `DEFAULT_METRICS_EMIT_THRESHOLD`
  `static final long`
  `DEFAULT_METRICS_EMIT_THRESHOLD_INTERVAL_SECS`
  `static final int`
  `DEFAULT_METRICS_MAX_CALLS_PER_SECOND`
  `static final boolean`
  `DEFAULT_METRICS_SHOULD_EMIT_ON_IDLE_TIME`
  `static final int`
  `DEFAULT_MIN_BACKOFF_INTERVAL`
  `static final HttpOperationType`
  `DEFAULT_NETWORKING_LIBRARY`
  `static final boolean`
  `DEFAULT_OPTIMIZE_FOOTER_READ`
  `static final int`
  `DEFAULT_READ_AHEAD_BLOCK_SIZE`
  `static final int`
  `DEFAULT_READ_AHEAD_QUEUE_DEPTH`
  `static final int`
  `DEFAULT_READ_AHEAD_RANGE`
  `static final int`
  `DEFAULT_READ_BUFFER_SIZE`
  `static final boolean`
  `DEFAULT_READ_SMALL_FILES_COMPLETELY`
  `static final boolean`
  `DEFAULT_READ_TOLERATE_CONCURRENT_APPEND`
  `static final int`
  `DEFAULT_READAHEAD_V2_CACHED_BUFFER_TTL_MILLIS`
  `static final int`
  `DEFAULT_READAHEAD_V2_CPU_MONITORING_INTERVAL_MILLIS`
  `static final int`
  `DEFAULT_READAHEAD_V2_CPU_USAGE_THRESHOLD_PERCENTAGE`
  `static final int`
  `DEFAULT_READAHEAD_V2_EXECUTOR_SERVICE_TTL_MILLIS`
  `static final int`
  `DEFAULT_READAHEAD_V2_MAX_BUFFER_POOL_SIZE`
  `static final int`
  `DEFAULT_READAHEAD_V2_MAX_THREAD_POOL_SIZE`
  `static final int`
  `DEFAULT_READAHEAD_V2_MEMORY_MONITORING_INTERVAL_MILLIS`
  `static final int`
  `DEFAULT_READAHEAD_V2_MEMORY_USAGE_THRESHOLD_PERCENTAGE`
  `static final int`
  `DEFAULT_READAHEAD_V2_MIN_BUFFER_POOL_SIZE`
  `static final int`
  `DEFAULT_READAHEAD_V2_MIN_THREAD_POOL_SIZE`
  `static final int`
  `DEFAULT_READAHEAD_V2_THREAD_POOL_DOWNSCALE_PERCENTAGE`
  `static final int`
  `DEFAULT_READAHEAD_V2_THREAD_POOL_UPSCALE_PERCENTAGE`
  `static final long`
  `DEFAULT_SAS_TOKEN_RENEW_PERIOD_FOR_STREAMS_IN_SECONDS`
  `static final boolean`
  `DEFAULT_STATIC_RETRY_FOR_CONNECTION_TIMEOUT_ENABLED`
  `static final int`
  `DEFAULT_STATIC_RETRY_INTERVAL`
  `static final boolean`
  `DEFAULT_USE_UPN`
  `static final String`
  `DEFAULT_VALUE_UNKNOWN`
  `static final int`
  `DEFAULT_WRITE_BUFFER_SIZE`
  Default buffer sizes and optimization flags.
  `static final int`
  `HUNDRED`
  `static final double`
  `HUNDRED_D`
  `static final int`
  `INFINITE_LEASE_DURATION`
  `static final int`
  `MAX_APACHE_HTTP_CLIENT_CACHE_REFRESH_COUNT`
  `static final int`
  `MAX_APACHE_HTTP_CLIENT_CACHE_WARMUP_COUNT`
  `static final int`
  `MAX_APACHE_HTTP_CLIENT_MAX_CACHE_SIZE`
  `static final int`
  `MAX_APACHE_HTTP_CLIENT_MIN_TRIGGER_REFRESH_COUNT`
  `static final long`
  `MAX_AZURE_BLOCK_SIZE`
  `static final int`
  `MAX_BUFFER_SIZE`
  `static final int`
  `MAX_CONCURRENT_READ_THREADS`
  `static final int`
  `MAX_CONCURRENT_WRITE_THREADS`
  `static final int`
  `MAX_LEASE_DURATION`
  `static final int`
  `MIN_APACHE_HTTP_CLIENT_MAX_CACHE_SIZE`
  `static final int`
  `MIN_BUFFER_SIZE`
  `static final int`
  `MIN_FS_AZURE_TAIL_LATENCY_ANALYSIS_WINDOW_GRANULARITY`
  `static final int`
  `MIN_LEASE_DURATION`
  `static final int`
  `MIN_LEASE_THREADS`
  `static final int`
  `ONE_KB`
  `static final int`
  `ONE_MB`
  `static final char`
  `PADDING_CHARACTER`
  Character used for padding block IDs.
  `static final String`
  `PADDING_FORMAT`
  Format string for padding block IDs.
  `static final int`
  `RATE_LIMIT_DEFAULT`
  IO rate limit.
  `static final String`
  `SERVER_SIDE_ENCRYPTION_ALGORITHM`
  `static final int`
  `SIXTY_SECONDS`
  `static final char`
  `SPACE_CHARACTER`
  Character used for padding spaces in block IDs.
  `static final int`
  `STREAM_ID_LEN`
  `static final String`
  `STRING_SUFFIX`
  Suffix for string formatting.
  `static final int`
  `THIRTY_SECONDS`
  `static final long`
  `THOUSAND`
  `static final String`
  `USER_HOME_DIRECTORY_PREFIX`
  `static final int`
  `ZERO`
  `static final double`
  `ZERO_D`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_FS_AZURE_ACCOUNT_IS_HNS_ENABLED

    public static final String DEFAULT_FS_AZURE_ACCOUNT_IS_HNS_ENABLED
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ENABLE_DFSTOBLOB_FALLBACK

    public static final boolean DEFAULT_FS_AZURE_ENABLE_DFSTOBLOB_FALLBACK
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ACCOUNT_IS_EXPECT_HEADER_ENABLED

    public static final boolean DEFAULT_FS_AZURE_ACCOUNT_IS_EXPECT_HEADER_ENABLED
    See Also:
      - Constant Field Values

  - ### USER_HOME_DIRECTORY_PREFIX

    public static final String USER_HOME_DIRECTORY_PREFIX
    See Also:
      - Constant Field Values

  - ### SIXTY_SECONDS

    public static final int SIXTY_SECONDS
    See Also:
      - Constant Field Values

  - ### THIRTY_SECONDS

    public static final int THIRTY_SECONDS
    See Also:
      - Constant Field Values

  - ### BYTES_PER_GIGABYTE

    public static final long BYTES_PER_GIGABYTE
    Number of bytes in a gigabyte.
    See Also:
      - Constant Field Values

  - ### DEFAULT_MIN_BACKOFF_INTERVAL

    public static final int DEFAULT_MIN_BACKOFF_INTERVAL
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAX_BACKOFF_INTERVAL

    public static final int DEFAULT_MAX_BACKOFF_INTERVAL
    See Also:
      - Constant Field Values

  - ### DEFAULT_STATIC_RETRY_FOR_CONNECTION_TIMEOUT_ENABLED

    public static final boolean DEFAULT_STATIC_RETRY_FOR_CONNECTION_TIMEOUT_ENABLED
    See Also:
      - Constant Field Values

  - ### DEFAULT_STATIC_RETRY_INTERVAL

    public static final int DEFAULT_STATIC_RETRY_INTERVAL
    See Also:
      - Constant Field Values

  - ### DEFAULT_BACKOFF_INTERVAL

    public static final int DEFAULT_BACKOFF_INTERVAL
    See Also:
      - Constant Field Values

  - ### DEFAULT_MAX_RETRY_ATTEMPTS

    public static final int DEFAULT_MAX_RETRY_ATTEMPTS
    See Also:
      - Constant Field Values

  - ### DEFAULT_CUSTOM_TOKEN_FETCH_RETRY_COUNT

    public static final int DEFAULT_CUSTOM_TOKEN_FETCH_RETRY_COUNT
    See Also:
      - Constant Field Values

  - ### DEFAULT_HTTP_CONNECTION_TIMEOUT

    public static final int DEFAULT_HTTP_CONNECTION_TIMEOUT
    Default value of connection timeout to be used while setting up HTTP Connection. Value: 2000.
    See Also:
      - Constant Field Values

  - ### DEFAULT_HTTP_READ_TIMEOUT

    public static final int DEFAULT_HTTP_READ_TIMEOUT
    Default value of read timeout to be used while setting up HTTP Connection. Value: 30000.
    See Also:
      - Constant Field Values

  - ### DEFAULT_EXPECT_100CONTINUE_WAIT_TIMEOUT

    public static final int DEFAULT_EXPECT_100CONTINUE_WAIT_TIMEOUT
    Default value of connection request timeout to be used when 100continue is enabled. Value: 3000.
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_MAX_ATTEMPTS

    public static final int DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_MAX_ATTEMPTS
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_MIN_BACKOFF_INTERVAL

    public static final int DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_MIN_BACKOFF_INTERVAL
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_MAX_BACKOFF_INTERVAL

    public static final int DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_MAX_BACKOFF_INTERVAL
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_DELTA_BACKOFF

    public static final int DEFAULT_AZURE_OAUTH_TOKEN_FETCH_RETRY_DELTA_BACKOFF
    See Also:
      - Constant Field Values

  - ### ONE_KB

    public static final int ONE_KB
    See Also:
      - Constant Field Values

  - ### ONE_MB

    public static final int ONE_MB
    See Also:
      - Constant Field Values

  - ### DEFAULT_WRITE_BUFFER_SIZE

    public static final int DEFAULT_WRITE_BUFFER_SIZE
    Default buffer sizes and optimization flags.
    See Also:
      - Constant Field Values

  - ### APPENDBLOB_MAX_WRITE_BUFFER_SIZE

    public static final int APPENDBLOB_MAX_WRITE_BUFFER_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_ENABLE_SMALL_WRITE_OPTIMIZATION

    public static final boolean DEFAULT_AZURE_ENABLE_SMALL_WRITE_OPTIMIZATION
    See Also:
      - Constant Field Values

  - ### DEFAULT_READ_BUFFER_SIZE

    public static final int DEFAULT_READ_BUFFER_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_READ_SMALL_FILES_COMPLETELY

    public static final boolean DEFAULT_READ_SMALL_FILES_COMPLETELY
    See Also:
      - Constant Field Values

  - ### DEFAULT_OPTIMIZE_FOOTER_READ

    public static final boolean DEFAULT_OPTIMIZE_FOOTER_READ
    See Also:
      - Constant Field Values

  - ### DEFAULT_FOOTER_READ_BUFFER_SIZE

    public static final int DEFAULT_FOOTER_READ_BUFFER_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_BUFFERED_PREAD_DISABLE

    public static final boolean DEFAULT_BUFFERED_PREAD_DISABLE
    See Also:
      - Constant Field Values

  - ### DEFAULT_ALWAYS_READ_BUFFER_SIZE

    public static final boolean DEFAULT_ALWAYS_READ_BUFFER_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_READ_AHEAD_BLOCK_SIZE

    public static final int DEFAULT_READ_AHEAD_BLOCK_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_READ_AHEAD_RANGE

    public static final int DEFAULT_READ_AHEAD_RANGE
    See Also:
      - Constant Field Values

  - ### MIN_BUFFER_SIZE

    public static final int MIN_BUFFER_SIZE
    See Also:
      - Constant Field Values

  - ### MAX_BUFFER_SIZE

    public static final int MAX_BUFFER_SIZE
    See Also:
      - Constant Field Values

  - ### MAX_AZURE_BLOCK_SIZE

    public static final long MAX_AZURE_BLOCK_SIZE
    See Also:
      - Constant Field Values

  - ### AZURE_BLOCK_LOCATION_HOST_DEFAULT

    public static final String AZURE_BLOCK_LOCATION_HOST_DEFAULT
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_LIST_MAX_RESULTS

    public static final int DEFAULT_AZURE_LIST_MAX_RESULTS
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_READ_POLICY

    public static final String DEFAULT_AZURE_READ_POLICY
    See Also:
      - Constant Field Values

  - ### SERVER_SIDE_ENCRYPTION_ALGORITHM

    public static final String SERVER_SIDE_ENCRYPTION_ALGORITHM
    See Also:
      - Constant Field Values

  - ### MAX_CONCURRENT_READ_THREADS

    public static final int MAX_CONCURRENT_READ_THREADS
    See Also:
      - Constant Field Values

  - ### MAX_CONCURRENT_WRITE_THREADS

    public static final int MAX_CONCURRENT_WRITE_THREADS
    See Also:
      - Constant Field Values

  - ### DEFAULT_READ_TOLERATE_CONCURRENT_APPEND

    public static final boolean DEFAULT_READ_TOLERATE_CONCURRENT_APPEND
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_CREATE_REMOTE_FILESYSTEM_DURING_INITIALIZATION

    public static final boolean DEFAULT_AZURE_CREATE_REMOTE_FILESYSTEM_DURING_INITIALIZATION
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_SKIP_USER_GROUP_METADATA_DURING_INITIALIZATION

    public static final boolean DEFAULT_AZURE_SKIP_USER_GROUP_METADATA_DURING_INITIALIZATION
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ATOMIC_RENAME_DIRECTORIES

    public static final String DEFAULT_FS_AZURE_ATOMIC_RENAME_DIRECTORIES
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ENABLE_CONDITIONAL_CREATE_OVERWRITE

    public static final boolean DEFAULT_FS_AZURE_ENABLE_CONDITIONAL_CREATE_OVERWRITE
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ENABLE_MKDIR_OVERWRITE

    public static final boolean DEFAULT_FS_AZURE_ENABLE_MKDIR_OVERWRITE
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_APPEND_BLOB_DIRECTORIES

    public static final String DEFAULT_FS_AZURE_APPEND_BLOB_DIRECTORIES
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_INFINITE_LEASE_DIRECTORIES

    public static final String DEFAULT_FS_AZURE_INFINITE_LEASE_DIRECTORIES
    See Also:
      - Constant Field Values

  - ### DEFAULT_LEASE_THREADS

    public static final int DEFAULT_LEASE_THREADS
    See Also:
      - Constant Field Values

  - ### MIN_LEASE_THREADS

    public static final int MIN_LEASE_THREADS
    See Also:
      - Constant Field Values

  - ### DEFAULT_LEASE_DURATION

    public static final int DEFAULT_LEASE_DURATION
    See Also:
      - Constant Field Values

  - ### INFINITE_LEASE_DURATION

    public static final int INFINITE_LEASE_DURATION
    See Also:
      - Constant Field Values

  - ### MIN_LEASE_DURATION

    public static final int MIN_LEASE_DURATION
    See Also:
      - Constant Field Values

  - ### MAX_LEASE_DURATION

    public static final int MAX_LEASE_DURATION
    See Also:
      - Constant Field Values

  - ### DEFAULT_READ_AHEAD_QUEUE_DEPTH

    public static final int DEFAULT_READ_AHEAD_QUEUE_DEPTH
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_FLUSH

    public static final boolean DEFAULT_ENABLE_FLUSH
    See Also:
      - Constant Field Values

  - ### DEFAULT_DISABLE_OUTPUTSTREAM_FLUSH

    public static final boolean DEFAULT_DISABLE_OUTPUTSTREAM_FLUSH
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_AUTOTHROTTLING

    public static final boolean DEFAULT_ENABLE_AUTOTHROTTLING
    See Also:
      - Constant Field Values

  - ### DEFAULT_METRIC_IDLE_TIMEOUT_MS

    public static final int DEFAULT_METRIC_IDLE_TIMEOUT_MS
    See Also:
      - Constant Field Values

  - ### DEFAULT_METRIC_ANALYSIS_TIMEOUT_MS

    public static final int DEFAULT_METRIC_ANALYSIS_TIMEOUT_MS
    See Also:
      - Constant Field Values

  - ### DEFAULT_METRICS_COLLECTION_ENABLED

    public static final boolean DEFAULT_METRICS_COLLECTION_ENABLED
    See Also:
      - Constant Field Values

  - ### DEFAULT_METRICS_SHOULD_EMIT_ON_IDLE_TIME

    public static final boolean DEFAULT_METRICS_SHOULD_EMIT_ON_IDLE_TIME
    See Also:
      - Constant Field Values

  - ### DEFAULT_METRICS_EMIT_THRESHOLD

    public static final long DEFAULT_METRICS_EMIT_THRESHOLD
    See Also:
      - Constant Field Values

  - ### DEFAULT_METRICS_EMIT_THRESHOLD_INTERVAL_SECS

    public static final long DEFAULT_METRICS_EMIT_THRESHOLD_INTERVAL_SECS
    See Also:
      - Constant Field Values

  - ### DEFAULT_METRICS_EMIT_INTERVAL_MINS

    public static final long DEFAULT_METRICS_EMIT_INTERVAL_MINS
    See Also:
      - Constant Field Values

  - ### DEFAULT_METRICS_MAX_CALLS_PER_SECOND

    public static final int DEFAULT_METRICS_MAX_CALLS_PER_SECOND
    See Also:
      - Constant Field Values

  - ### DEFAULT_METRICS_BACKOFF_RETRY_ENABLED

    public static final boolean DEFAULT_METRICS_BACKOFF_RETRY_ENABLED
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ACCOUNT_LEVEL_THROTTLING_ENABLED

    public static final boolean DEFAULT_FS_AZURE_ACCOUNT_LEVEL_THROTTLING_ENABLED
    See Also:
      - Constant Field Values

  - ### DEFAULT_ACCOUNT_OPERATION_IDLE_TIMEOUT_MS

    public static final int DEFAULT_ACCOUNT_OPERATION_IDLE_TIMEOUT_MS
    See Also:
      - Constant Field Values

  - ### DEFAULT_ANALYSIS_PERIOD_MS

    public static final int DEFAULT_ANALYSIS_PERIOD_MS
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_SSL_CHANNEL_MODE

    public static final DelegatingSSLSocketFactory.SSLChannelMode DEFAULT_FS_AZURE_SSL_CHANNEL_MODE

  - ### DEFAULT_ENABLE_DELEGATION_TOKEN

    public static final boolean DEFAULT_ENABLE_DELEGATION_TOKEN
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_HTTPS

    public static final boolean DEFAULT_ENABLE_HTTPS
    See Also:
      - Constant Field Values

  - ### DEFAULT_USE_UPN

    public static final boolean DEFAULT_USE_UPN
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_CHECK_ACCESS

    public static final boolean DEFAULT_ENABLE_CHECK_ACCESS
    See Also:
      - Constant Field Values

  - ### DEFAULT_ABFS_LATENCY_TRACK

    public static final boolean DEFAULT_ABFS_LATENCY_TRACK
    See Also:
      - Constant Field Values

  - ### DEFAULT_SAS_TOKEN_RENEW_PERIOD_FOR_STREAMS_IN_SECONDS

    public static final long DEFAULT_SAS_TOKEN_RENEW_PERIOD_FOR_STREAMS_IN_SECONDS
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_READAHEAD

    public static final boolean DEFAULT_ENABLE_READAHEAD
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_READAHEAD_V2

    public static final boolean DEFAULT_ENABLE_READAHEAD_V2
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_READAHEAD_V2_DYNAMIC_SCALING

    public static final boolean DEFAULT_ENABLE_READAHEAD_V2_DYNAMIC_SCALING
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_MIN_THREAD_POOL_SIZE

    public static final int DEFAULT_READAHEAD_V2_MIN_THREAD_POOL_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_MAX_THREAD_POOL_SIZE

    public static final int DEFAULT_READAHEAD_V2_MAX_THREAD_POOL_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_MIN_BUFFER_POOL_SIZE

    public static final int DEFAULT_READAHEAD_V2_MIN_BUFFER_POOL_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_MAX_BUFFER_POOL_SIZE

    public static final int DEFAULT_READAHEAD_V2_MAX_BUFFER_POOL_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_CPU_MONITORING_INTERVAL_MILLIS

    public static final int DEFAULT_READAHEAD_V2_CPU_MONITORING_INTERVAL_MILLIS
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_THREAD_POOL_UPSCALE_PERCENTAGE

    public static final int DEFAULT_READAHEAD_V2_THREAD_POOL_UPSCALE_PERCENTAGE
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_THREAD_POOL_DOWNSCALE_PERCENTAGE

    public static final int DEFAULT_READAHEAD_V2_THREAD_POOL_DOWNSCALE_PERCENTAGE
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_MEMORY_MONITORING_INTERVAL_MILLIS

    public static final int DEFAULT_READAHEAD_V2_MEMORY_MONITORING_INTERVAL_MILLIS
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_EXECUTOR_SERVICE_TTL_MILLIS

    public static final int DEFAULT_READAHEAD_V2_EXECUTOR_SERVICE_TTL_MILLIS
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_CACHED_BUFFER_TTL_MILLIS

    public static final int DEFAULT_READAHEAD_V2_CACHED_BUFFER_TTL_MILLIS
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_CPU_USAGE_THRESHOLD_PERCENTAGE

    public static final int DEFAULT_READAHEAD_V2_CPU_USAGE_THRESHOLD_PERCENTAGE
    See Also:
      - Constant Field Values

  - ### DEFAULT_READAHEAD_V2_MEMORY_USAGE_THRESHOLD_PERCENTAGE

    public static final int DEFAULT_READAHEAD_V2_MEMORY_USAGE_THRESHOLD_PERCENTAGE
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_USER_AGENT_PREFIX

    public static final String DEFAULT_FS_AZURE_USER_AGENT_PREFIX
    See Also:
      - Constant Field Values

  - ### DEFAULT_VALUE_UNKNOWN

    public static final String DEFAULT_VALUE_UNKNOWN
    See Also:
      - Constant Field Values

  - ### DEFAULT_DELETE_CONSIDERED_IDEMPOTENT

    public static final boolean DEFAULT_DELETE_CONSIDERED_IDEMPOTENT
    See Also:
      - Constant Field Values

  - ### DEFAULT_CLOCK_SKEW_WITH_SERVER_IN_MS

    public static final int DEFAULT_CLOCK_SKEW_WITH_SERVER_IN_MS
    See Also:
      - Constant Field Values

  - ### STREAM_ID_LEN

    public static final int STREAM_ID_LEN
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_ABFS_LIST_ITERATOR

    public static final boolean DEFAULT_ENABLE_ABFS_LIST_ITERATOR
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_ABFS_RENAME_RESILIENCE

    public static final boolean DEFAULT_ENABLE_ABFS_RENAME_RESILIENCE
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_PAGINATED_DELETE

    public static final boolean DEFAULT_ENABLE_PAGINATED_DELETE
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_ABFS_CHECKSUM_VALIDATION

    public static final boolean DEFAULT_ENABLE_ABFS_CHECKSUM_VALIDATION
    See Also:
      - Constant Field Values

  - ### DEFAULT_ENABLE_FULL_BLOB_ABFS_CHECKSUM_VALIDATION

    public static final boolean DEFAULT_ENABLE_FULL_BLOB_ABFS_CHECKSUM_VALIDATION
    See Also:
      - Constant Field Values

  - ### BLOCK_UPLOAD_ACTIVE_BLOCKS_DEFAULT

    public static final int BLOCK_UPLOAD_ACTIVE_BLOCKS_DEFAULT
    Limit of queued block upload operations before writes block for an OutputStream. Value: 20
    See Also:
      - Constant Field Values

  - ### BLOCK_ID_LENGTH

    public static final int BLOCK_ID_LENGTH
    Length of the block ID used for appends.
    See Also:
      - Constant Field Values

  - ### BLOCK_ID_FORMAT

    public static final String BLOCK_ID_FORMAT
    Format string for generating block IDs. Example: "%s-%06d" where %s is the stream ID and %06d is the block index.
    See Also:
      - Constant Field Values

  - ### PADDING_FORMAT

    public static final String PADDING_FORMAT
    Format string for padding block IDs. Example: "%-" specifies left alignment in the format string.
    See Also:
      - Constant Field Values

  - ### STRING_SUFFIX

    public static final String STRING_SUFFIX
    Suffix for string formatting. Example: "s" specifies the type as a string in the format string.
    See Also:
      - Constant Field Values

  - ### SPACE_CHARACTER

    public static final char SPACE_CHARACTER
    Character used for padding spaces in block IDs. Example: ' ' represents a space character.
    See Also:
      - Constant Field Values

  - ### PADDING_CHARACTER

    public static final char PADDING_CHARACTER
    Character used for padding block IDs. Example: '_' is used to replace spaces in padded block IDs.
    See Also:
      - Constant Field Values

  - ### DATA_BLOCKS_BUFFER_DISK

    public static final String DATA_BLOCKS_BUFFER_DISK
    Buffer blocks to disk. Capacity is limited to available disk space.
    See Also:
      - Constant Field Values

  - ### DATA_BLOCKS_BYTEBUFFER

    public static final String DATA_BLOCKS_BYTEBUFFER
    See Also:
      - Constant Field Values

  - ### DATA_BLOCKS_BUFFER_DEFAULT

    public static final String DATA_BLOCKS_BUFFER_DEFAULT
    Default buffer option: "bytebuffer".
    See Also:
      - Constant Field Values

  - ### RATE_LIMIT_DEFAULT

    public static final int RATE_LIMIT_DEFAULT
    IO rate limit. Value: 1000
    See Also:
      - Constant Field Values

  - ### ZERO

    public static final int ZERO
    See Also:
      - Constant Field Values

  - ### ZERO_D

    public static final double ZERO_D
    See Also:
      - Constant Field Values

  - ### HUNDRED

    public static final int HUNDRED
    See Also:
      - Constant Field Values

  - ### HUNDRED_D

    public static final double HUNDRED_D
    See Also:
      - Constant Field Values

  - ### THOUSAND

    public static final long THOUSAND
    See Also:
      - Constant Field Values

  - ### DEFAULT_NETWORKING_LIBRARY

    public static final HttpOperationType DEFAULT_NETWORKING_LIBRARY

  - ### DEFAULT_APACHE_HTTP_CLIENT_MAX_IO_EXCEPTION_RETRIES

    public static final int DEFAULT_APACHE_HTTP_CLIENT_MAX_IO_EXCEPTION_RETRIES
    See Also:
      - Constant Field Values

  - ### DEFAULT_APACHE_HTTP_CLIENT_MAX_CACHE_SIZE

    public static final int DEFAULT_APACHE_HTTP_CLIENT_MAX_CACHE_SIZE
    See Also:
      - Constant Field Values

  - ### MIN_APACHE_HTTP_CLIENT_MAX_CACHE_SIZE

    public static final int MIN_APACHE_HTTP_CLIENT_MAX_CACHE_SIZE
    See Also:
      - Constant Field Values

  - ### MAX_APACHE_HTTP_CLIENT_MAX_CACHE_SIZE

    public static final int MAX_APACHE_HTTP_CLIENT_MAX_CACHE_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_APACHE_HTTP_CLIENT_CACHE_WARMUP_COUNT

    public static final int DEFAULT_APACHE_HTTP_CLIENT_CACHE_WARMUP_COUNT
    See Also:
      - Constant Field Values

  - ### MAX_APACHE_HTTP_CLIENT_CACHE_WARMUP_COUNT

    public static final int MAX_APACHE_HTTP_CLIENT_CACHE_WARMUP_COUNT
    See Also:
      - Constant Field Values

  - ### DEFAULT_APACHE_HTTP_CLIENT_CACHE_REFRESH_COUNT

    public static final int DEFAULT_APACHE_HTTP_CLIENT_CACHE_REFRESH_COUNT
    See Also:
      - Constant Field Values

  - ### MAX_APACHE_HTTP_CLIENT_CACHE_REFRESH_COUNT

    public static final int MAX_APACHE_HTTP_CLIENT_CACHE_REFRESH_COUNT
    See Also:
      - Constant Field Values

  - ### DEFAULT_APACHE_HTTP_CLIENT_MAX_REFRESH_WAIT_TIME_MILLIS

    public static final long DEFAULT_APACHE_HTTP_CLIENT_MAX_REFRESH_WAIT_TIME_MILLIS
    See Also:
      - Constant Field Values

  - ### DEFAULT_APACHE_HTTP_CLIENT_MIN_TRIGGER_REFRESH_COUNT

    public static final int DEFAULT_APACHE_HTTP_CLIENT_MIN_TRIGGER_REFRESH_COUNT
    See Also:
      - Constant Field Values

  - ### DEFAULT_APACHE_HTTP_CLIENT_WARMUP_CACHE_TIMEOUT_MILLIS

    public static final long DEFAULT_APACHE_HTTP_CLIENT_WARMUP_CACHE_TIMEOUT_MILLIS
    See Also:
      - Constant Field Values

  - ### MAX_APACHE_HTTP_CLIENT_MIN_TRIGGER_REFRESH_COUNT

    public static final int MAX_APACHE_HTTP_CLIENT_MIN_TRIGGER_REFRESH_COUNT
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_BLOB_COPY_PROGRESS_WAIT_MILLIS

    public static final long DEFAULT_AZURE_BLOB_COPY_PROGRESS_WAIT_MILLIS
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_BLOB_COPY_MAX_WAIT_MILLIS

    public static final long DEFAULT_AZURE_BLOB_COPY_MAX_WAIT_MILLIS
    See Also:
      - Constant Field Values

  - ### DEFAULT_AZURE_BLOB_ATOMIC_RENAME_LEASE_REFRESH_DURATION

    public static final long DEFAULT_AZURE_BLOB_ATOMIC_RENAME_LEASE_REFRESH_DURATION
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_PRODUCER_QUEUE_MAX_SIZE

    public static final int DEFAULT_FS_AZURE_PRODUCER_QUEUE_MAX_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_CONSUMER_MAX_LAG

    public static final int DEFAULT_FS_AZURE_CONSUMER_MAX_LAG
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_LISTING_ACTION_THREADS

    public static final int DEFAULT_FS_AZURE_LISTING_ACTION_THREADS
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_BLOB_RENAME_THREAD

    public static final int DEFAULT_FS_AZURE_BLOB_RENAME_THREAD
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_BLOB_DELETE_THREAD

    public static final int DEFAULT_FS_AZURE_BLOB_DELETE_THREAD
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ENABLE_CLIENT_TRANSACTION_ID

    public static final boolean DEFAULT_FS_AZURE_ENABLE_CLIENT_TRANSACTION_ID
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ENABLE_CREATE_BLOB_IDEMPOTENCY

    public static final boolean DEFAULT_FS_AZURE_ENABLE_CREATE_BLOB_IDEMPOTENCY
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ENABLE_PREFETCH_REQUEST_PRIORITY

    public static final boolean DEFAULT_FS_AZURE_ENABLE_PREFETCH_REQUEST_PRIORITY
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_LOWEST_REQUEST_PRIORITY_VALUE

    public static final int DEFAULT_FS_AZURE_LOWEST_REQUEST_PRIORITY_VALUE
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_STANDARD_REQUEST_PRIORITY_VALUE

    public static final int DEFAULT_FS_AZURE_STANDARD_REQUEST_PRIORITY_VALUE
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ENABLE_TAIL_LATENCY_TRACKER

    public static final boolean DEFAULT_FS_AZURE_ENABLE_TAIL_LATENCY_TRACKER
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_ENABLE_TAIL_LATENCY_REQUEST_TIMEOUT

    public static final boolean DEFAULT_FS_AZURE_ENABLE_TAIL_LATENCY_REQUEST_TIMEOUT
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_TAIL_LATENCY_PERCENTILE

    public static final int DEFAULT_FS_AZURE_TAIL_LATENCY_PERCENTILE
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_TAIL_LATENCY_MIN_DEVIATION

    public static final int DEFAULT_FS_AZURE_TAIL_LATENCY_MIN_DEVIATION
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_TAIL_LATENCY_MIN_SAMPLE_SIZE

    public static final int DEFAULT_FS_AZURE_TAIL_LATENCY_MIN_SAMPLE_SIZE
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_TAIL_LATENCY_ANALYSIS_WINDOW_MILLIS

    public static final int DEFAULT_FS_AZURE_TAIL_LATENCY_ANALYSIS_WINDOW_MILLIS
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_TAIL_LATENCY_ANALYSIS_WINDOW_GRANULARITY

    public static final int DEFAULT_FS_AZURE_TAIL_LATENCY_ANALYSIS_WINDOW_GRANULARITY
    See Also:
      - Constant Field Values

  - ### MIN_FS_AZURE_TAIL_LATENCY_ANALYSIS_WINDOW_GRANULARITY

    public static final int MIN_FS_AZURE_TAIL_LATENCY_ANALYSIS_WINDOW_GRANULARITY
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_TAIL_LATENCY_PERCENTILE_COMPUTATION_INTERVAL_MILLIS

    public static final int DEFAULT_FS_AZURE_TAIL_LATENCY_PERCENTILE_COMPUTATION_INTERVAL_MILLIS
    See Also:
      - Constant Field Values

  - ### DEFAULT_FS_AZURE_TAIL_LATENCY_MAX_RETRY_COUNT

    public static final int DEFAULT_FS_AZURE_TAIL_LATENCY_MAX_RETRY_COUNT
    See Also:
      - Constant Field Values